## ros-melodic-jsk-data 2.2.11

=== debian/changelog ===
ros-melodic-jsk-data (2.2.11-1stretch) stretch; urgency=high

  * [jsk_data] Add common rosbag_record and play file for fetch (#1611 <https://github.com/jsk-ros-pkg/jsk_common/issues/1611>)
    
      * enable to give rosbag option to fetch_play.sh like pr2_play.sh
      * add option to launch rqt_bag and rviz in fetch_play.launch
      * [jsk_data/CMakeLists.txt] Add roslaunch_add_file_check for fetch's launch files
      * [jsk_data] Add fetch_play.sh
      * [jsk_data] Add fetch_play and fetch_record.launch
    
  * use xdg-open for ubuntu16.04 and above (#1638 <https://github.com/jsk-ros-pkg/jsk_common/issues/1638>)
  * [jsk_data/common_record.launch] Add tf_static recordf( #1641 <https://github.com/jsk-ros-pkg/jsk_common/issues/1641>)
  * Fix for noetic build (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fix for python3, except, print ....
      * pytho3 dislike d in regrex, src/test_topic_published.py:50:37: W605 invalid escape sequence 'd'
      * jsk_data/tests/test_data_collection_server.py use python3 as interpreter
        
        python code under scripts/ installed with catkin_python_install as http://wiki.ros.org/UsingPython3/SourceCodeChanges, to dynamically change shebangs on install timeThis installs tests/test_data_collection_server.py under CATKIN_PACKAGE_SHARE/tests, which outputs
        ```
        $ rosrun jsk_data test_data_collection_server.py
        [rosrun] You have chosen a non-unique executable, please pick one of the following:
        1) /home/user/devel/share/jsk_data/tests/test_data_collection_server.py
        2) /home/user/src/jsk_common/jsk_data/tests/test_data_collection_server.py
        ```
        we can ignore this message
      * fix jsk_data/src/jsk_data/cli.py:57:44: E741 ambiguous variable name 'l'
      * migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
      * upgrade package.xml to format=3
      * use distutils.spawn
    
  * Fix download_data.py for Python3f( #1637 <https://github.com/jsk-ros-pkg/jsk_common/issues/1637>)
  * [jsk_data] Skip extracting files which already existf( #1626 <https://github.com/jsk-ros-pkg/jsk_common/issues/1626>)
    
      * Print message when skip extracting
      * Use isinstance() for checking file type
      * Skip extracting files which already exist
    
  * pr2_play.launch: support indigo ( #1620 <https://github.com/jsk-ros-pkg/jsk_common/issues/1620>)
  * [download_data.py] generate error log when downloaded fils's md5 is incorrect (#1610 <https://github.com/jsk-ros-pkg/jsk_common/issues/1610>)
  * Contributors: Yuki Furuta, Kei Okada, Kentaro Wada, Naoya Yamaguchi, Shingo Kitagawa, Yuto Uchimi, Iori Yanokura

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 10 Jul 2020 00:00:00 -0000

ros-melodic-jsk-data (2.2.10-1stretch) stretch; urgency=high

  * check if wget/gdown command exists, gdown is pip distributed so that we can not use this within de build farm (#1609 <https://github.com/jsk-ros-pkg/jsk_common/issues/1609>)
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 03 Nov 2018 00:00:00 -0000

ros-melodic-jsk-data (2.2.9-1stretch) stretch; urgency=high

  * check if the pkg exists and path is writable (#1608 <https://github.com/jsk-ros-pkg/jsk_common/issues/1608>)
    * fix http://build.ros.org/view/Kbin_uX64/job/Kbin_uX64__jsk_pcl_ros_utils__ubuntu_xenial_amd64__binary/132/console
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-melodic-jsk-data (2.2.8-1stretch) stretch; urgency=high

  * Fix installation destination (install node_scripts to CATKIN_PACKAGE_BIN_DESTINATION) (#1604 <https://github.com/jsk-ros-pkg/jsk_common/issues/1604>)
  * Enable method: all in test_data_collection_server.py (#1600 <https://github.com/jsk-ros-pkg/jsk_common/issues/1600>)
    * Enable method: all in test_data_collection_server.pyI missed this in https://github.com/jsk-ros-pkg/jsk_common/pull/1599#issuecomment-418374578.
  * Add test for data_collection_server (#1599 <https://github.com/jsk-ros-pkg/jsk_common/issues/1599>)
    * Re-enable test of data_collection_server with method=all
    * Add name to <test>
    * Disable test with static_image_publisher.py
    * Add test for data_collection_server
    * Rename to method: all from None since null is not supported in roslaunch<string>:71: (INFO/1) Unexpected possible title overline or transition.
    Treating it as ordinary text because it's so short.
    
    ```
    
    <string>:71: (WARNING/2) Inline literal start-string without end-string.
    
    <string>:71: (WARNING/2) Inline interpreted text or phrase reference start-string without end-string.... logging to /home/wkentaro/.ros/log/rostest-hoop-18427.log
    [ROSUNIT] Outputting test results to /home/wkentaro/.ros/test_results/jsk_data/rostest-tests_data_collection_server.xml
    [Testcase: testtest_data_collection_server] ... ERROR!
    ERROR: cannot marshal None unless allow_none is enabled
    File "/usr/lib/python2.7/unittest/case.py", line 329, in run
    testMethod()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/rostest/runner.py", line 120, in fn
    succeeded, failed = self.test_parent.launch()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/rostest/rostest_parent.py", line 122, in launch
    return self.runner.launch()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/roslaunch/launch.py", line 657, in launch
    self._setup()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/roslaunch/launch.py", line 644, in _setup
    self._load_parameters()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/roslaunch/launch.py", line 338, in _load_parameters
    r  = param_server_multi()
    File "/usr/lib/python2.7/xmlrpclib.py", line 1006, in __call__
    return MultiCallIterator(self.__server.system.multicall(marshalled_list))

