=== debian/control ===
Source: ros-melodic-jsk-data
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), python-nose, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-message-generation, ros-melodic-roslaunch, ros-melodic-roslint, ros-melodic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-jsk-data
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-click, python-paramiko, python-yaml, ros-melodic-depth-image-proc, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport, ros-melodic-jsk-topic-tools, ros-melodic-message-runtime, ros-melodic-nodelet, ros-melodic-openni-launch, ros-melodic-pr2-description, ros-melodic-pr2-machine, ros-melodic-rosbag, ros-melodic-rqt-bag, ros-melodic-rviz, ros-melodic-tf2-ros, ros-melodic-xacro
Description: The jsk_data package
