## ros-melodic-jsk-data 2.2.12

=== debian/changelog ===
ros-melodic-jsk-data (2.2.12-1bionic) bionic; urgency=high

  * [jsk_data/tess_data_collection_server] Check if text and yaml or text and image are saved in the subdirectory of save_dir. (#1734 <https://github.com/jsk-ros-pkg/jsk_common/issues/1734>)
  * [test/data_collection_server] Wait until data saved for test. (#1728 <https://github.com/jsk-ros-pkg/jsk_common/issues/1728>)
  * [jsk_data] Strip newline at test code. (#1726 <https://github.com/jsk-ros-pkg/jsk_common/issues/1726>)
  * [data_collection_server] Add rosbag to data collection server (#1708 <https://github.com/jsk-ros-pkg/jsk_common/issues/1708>)
    
      * add rosbag_options param
      * delete sample launch file
      * remove rosbag param
      * add rosbag_prefix param
      * remove print and avoid error if end is called before start
      * add minimal functions about rosbag record in data_collection_server
    
  * [jsk_data] add wait_timer for timer method (#1697 <https://github.com/jsk-ros-pkg/jsk_common/issues/1697>)
    
      * rename to wait_msgs_update
      * add wait_timer rosparam for timer waiting
      * remove wait in sync_sub_and_save_cb
      * check all msg stamp in self.msgs for wait_msgs_update
      * add wait_service_request for timer and all method
    
  * use raw_input for python2 c.f. (#1695 <https://github.com/jsk-ros-pkg/jsk_common/issues/1695>)
  * [jsk_data] add wait_save_request in data_collection_server (#1669 <https://github.com/jsk-ros-pkg/jsk_common/issues/1669>)
  * fix TOPICS arg (#1689 <https://github.com/jsk-ros-pkg/jsk_common/issues/1689>)
  * Update jsk_data/src/jsk_data/download_data.py (#1685 <https://github.com/jsk-ros-pkg/jsk_common/issues/1685>)
    
      * [jsk_data] fix bugs in download_data.py
      * [jsk_data] update download_data.py to remove front './' from extracted file names
    
  * check if openni_launch exits to run roslaunch-check pr2_play.launch (#1662 <https://github.com/jsk-ros-pkg/jsk_common/issues/1662>)
    
      * use xacro instead of xacro.py
    
  * Contributors: Iori Yanokura, Naoaki Kanazawa, Koki Shinjo, Shingo Kitagawa, Shumpei Wakabayashi, Shun Hasegawa, Iori Yanokura, Ren Kunita

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 06 Jun 2022 15:00:00 -0000

ros-melodic-jsk-data (2.2.11-1bionic) bionic; urgency=high

  * [jsk_data] Add common rosbag_record and play file for fetch (#1611 <https://github.com/jsk-ros-pkg/jsk_common/issues/1611>)
    
      * enable to give rosbag option to fetch_play.sh like pr2_play.sh
      * add option to launch rqt_bag and rviz in fetch_play.launch
      * [jsk_data/CMakeLists.txt] Add roslaunch_add_file_check for fetch's launch files
      * [jsk_data] Add fetch_play.sh
      * [jsk_data] Add fetch_play and fetch_record.launch
    
  * use xdg-open for ubuntu16.04 and above (#1638 <https://github.com/jsk-ros-pkg/jsk_common/issues/1638>)
  * [jsk_data/common_record.launch] Add tf_static recordf( #1641 <https://github.com/jsk-ros-pkg/jsk_common/issues/1641>)
  * Fix for noetic build (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fix for python3, except, print ....
      * pytho3 dislike d in regrex, src/test_topic_published.py:50:37: W605 invalid escape sequence 'd'
      * jsk_data/tests/test_data_collection_server.py use python3 as interpreter
        
        python code under scripts/ installed with catkin_python_install as http://wiki.ros.org/UsingPython3/SourceCodeChanges, to dynamically change shebangs on install timeThis installs tests/test_data_collection_server.py under CATKIN_PACKAGE_SHARE/tests, which outputs
        ```
        $ rosrun jsk_data test_data_collection_server.py
        [rosrun] You have chosen a non-unique executable, please pick one of the following:
        1) /home/user/devel/share/jsk_data/tests/test_data_collection_server.py
        2) /home/user/src/jsk_common/jsk_data/tests/test_data_collection_server.py
        ```
        we can ignore this message
      * fix jsk_data/src/jsk_data/cli.py:57:44: E741 ambiguous variable name 'l'
      * migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
      * upgrade package.xml to format=3
      * use distutils.spawn
    
  * Fix download_data.py for Python3f( #1637 <https://github.com/jsk-ros-pkg/jsk_common/issues/1637>)
  * [jsk_data] Skip extracting files which already existf( #1626 <https://github.com/jsk-ros-pkg/jsk_common/issues/1626>)
    
      * Print message when skip extracting
      * Use isinstance() for checking file type
      * Skip extracting files which already exist
    
  * pr2_play.launch: support indigo ( #1620 <https://github.com/jsk-ros-pkg/jsk_common/issues/1620>)
  * [download_data.py] generate error log when downloaded fils's md5 is incorrect (#1610 <https://github.com/jsk-ros-pkg/jsk_common/issues/1610>)
  * Contributors: Yuki Furuta, Kei Okada, Kentaro Wada, Naoya Yamaguchi, Shingo Kitagawa, Yuto Uchimi, Iori Yanokura

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Jul 2020 15:00:00 -0000

ros-melodic-jsk-data (2.2.10-1bionic) bionic; urgency=high

  * check if wget/gdown command exists, gdown is pip distributed so that we can not use this within de build farm (#1609 <https://github.com/jsk-ros-pkg/jsk_common/issues/1609>)
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 15:00:00 -0000

ros-melodic-jsk-data (2.2.9-1bionic) bionic; urgency=high

  * check if the pkg exists and path is writable (#1608 <https://github.com/jsk-ros-pkg/jsk_common/issues/1608>)
    * fix http://build.ros.org/view/Kbin_uX64/job/Kbin_uX64__jsk_pcl_ros_utils__ubuntu_xenial_amd64__binary/132/console
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 15:00:00 -0000

ros-melodic-jsk-data (2.2.8-1bionic) bionic; urgency=high


