=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
-Build-Depends: debhelper (>= 9.0.0), python-nose, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-message-generation, ros-melodic-roslaunch, ros-melodic-roslint, ros-melodic-rostest
+Build-Depends: debhelper (>= 9.0.0), python-nose <!nocheck>, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-message-generation, ros-melodic-roslaunch <!nocheck>, ros-melodic-roslint <!nocheck>, ros-melodic-rostest <!nocheck>
 Homepage: 
 Standards-Version: 3.9.2
